fastafileindexer.h File Reference

Quick random access to sequences in a fasta file using an index. More...

`#include <QFileInfo>`
`#include <QTextStream>`
`#include <memory>`
`#include "fastahandlerinterface.h"`

Go to the source code of this file.

## Classes

class | pappso::FastaFileIndexerInterface
class | pappso::FastaFileIndexer

## Namespaces

| pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< FastaFileIndexer > | pappso::FastaFileIndexerSPtr

## Detailed Description

Quick random access to sequences in a fasta file using an index.

Date
  22/06/2109

Author
  Olivier Langella

Definition in file fastafileindexer.h.